=== debian/changelog ===
vtk6 (6.3.0+dfsg2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix empty libvtk6-qt package by populating it correctly. (Closes: #987462)

 -- Romain Porte <debian@microjoe.org>  Sat, 24 Apr 2021 23:09:44 +0200

vtk6 (6.3.0+dfsg2-8) unstable; urgency=medium

  * Team upload
  * debian/patches/581d9eb874b2b80a3fb21c739a96fa6f955ffb5e.patch:
    - another upstream cherry-pick for new freetype build failure
  * debian/patches/new-freetype.patch
    - do the same for another reference

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 22:53:54 +0100

vtk6 (6.3.0+dfsg2-7) unstable; urgency=medium

  [ Gert Wollny ]
  * d/*: remove support for QT, no reverse deps, Closes: #975135
  * d/control: Update standards, no changes

  [ Gianfranco Costamagna ]
  * Team upload
  * debian/patches/3edc0de2b04ae1e100c229e592d6b9fa94f2915a.patch:
    - cherry-pick and rebase upstream build fix for new freetype (Closes:
      #976977)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 20:12:37 +0100

vtk6 (6.3.0+dfsg2-6) unstable; urgency=medium

  [ Gert Wollny ]
  * d/control: Update standards, no changes
  * [0130779] d/copyright: remove duplicates

  [ Anton Gladky ]
  * [b1230ea] Fix FTBFS due to QT. (Closes: #976424, #975135)
  * [1485015] Ignore quilt dir
  * [f77d52e] Update watch file format version to 4.
  * [078cd76] Update renamed lintian tag names in lintian overrides.
  * [63df1a5] Set upstream metadata fields: Repository, Repository-Browse.
  * [49cba68] Add .gitlab-ci.yml

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Dec 2020 20:10:02 +0100

vtk6 (6.3.0+dfsg2-5) unstable; urgency=medium

  * Upload to unstable

 -- Gert Wollny <gewo@debian.org>  Mon, 09 Dec 2019 21:46:46 +0100

vtk6 (6.3.0+dfsg2-5~exp1) experimental; urgency=medium

  * d/control: Disable Python modules

 -- Gert Wollny <gewo@debian.org>  Tue, 03 Dec 2019 17:40:49 +0100

vtk6 (6.3.0+dfsg2-4) unstable; urgency=medium

  * [31d14a1] Drop python-vtk6 package due to py2 removal. (Closes: #938804)
  * [eb5d4a3] Set compat-level 12
  * [8263228] Set standards-version to 4.4.1
  * [c3f906a] Set upstream metadata fields: Repository.
  * [afc9b7a] Drop unnecessary dh arguments: --parallel

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Oct 2019 20:17:20 +0200

vtk6 (6.3.0+dfsg2-3) unstable; urgency=medium

  * [4c49dfd] Minor update of the d-files
  * [87e4e47] Trim trailing whitespace.
  * [18f3cdc] Use secure URI in Homepage field.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Sun, 01 Sep 2019 22:34:59 +0200

vtk6 (6.3.0+dfsg2-3~exp1) experimental; urgency=medium

  * d/: remove packages for java, tcl, doc, and examples
  * d/rules: Disable system Proj support, not compatible with proj6,
    Closes: #931943 Thanks: Bas Couwenberg

 -- Gert Wollny <gewo@debian.org>  Sun, 04 Aug 2019 17:18:07 +0200

vtk6 (6.3.0+dfsg2-2) unstable; urgency=medium

  * [20d58f6] d/rules: Set java src/trgt version Closes: #893789

 -- Gert Wollny <gewo@debian.org>  Fri, 23 Mar 2018 22:34:02 +0100

vtk6 (6.3.0+dfsg2-1) unstable; urgency=medium

  * d/copyright: update and remove some more files
  * d/watch update to old listing
  * repackage to remove some files with invalid copyright
  * d/source/lintian-override: override python3 warning

 -- Gert Wollny <gewo@debian.org>  Sat, 03 Mar 2018 23:58:09 +0100
