=== debian/watch ===
version=4
opts=repacksuffix=+dfsg2,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// https://github.com/Kitware/VTK/releases?after=v7.0.0 .*/v?(6\.\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
